
global.manifest = require('./manifest.json')

URLSearchParams.prototype.entries = function () { return Array.from(this) }

const __fetch = global.fetch
global.fetch = async (url, option) => {
  if (url.indexOf('http') === -1) {
    url = (global.manifest.mdConfig.permise ? global.preDomain || '' : global.manifest.mdConfig.host) + url
  }
  const res = await __fetch(url, { ...option, credentials: 'same-origin' })
  res.blob = res.arrayBuffer // TODO: HACK
  return res
}

const { panels } = require('./xdRoot.js')
module.exports = { panels }
